"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _react = _interopRequireWildcard(require("react"));

var _reactNativeReanimated = _interopRequireWildcard(require("react-native-reanimated"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const App = props => {
  const labelSharedValue = (0, _reactNativeReanimated.useSharedValue)(0);
  const {
    textInputProps,
    labelTopValue = -24,
    borderColor = 'gray',
    borderWidth = 1,
    paddingVertical = 8,
    borderRadius = 5,
    placeholder = 'Email',
    value = '',
    onChangeText
  } = props;
  const inputRef = (0, _react.useRef)(null);
  const animatedLabelProps = (0, _reactNativeReanimated.useAnimatedStyle)(() => {
    return {
      fontSize: (0, _reactNativeReanimated.withTiming)((0, _reactNativeReanimated.interpolate)(labelSharedValue.value, [0, 1], [16, 12])),
      top: (0, _reactNativeReanimated.withTiming)((0, _reactNativeReanimated.interpolate)(labelSharedValue.value, [0, 1], [0, labelTopValue]))
    };
  });
  const styles = (0, _react.useMemo)(() => _reactNative.StyleSheet.create({
    textInput: {
      paddingVertical: paddingVertical,
      justifyContent: 'center',
      borderWidth: borderWidth,
      borderRadius: borderRadius,
      borderColor: borderColor
    },
    textInputStyle: {
      fontSize: 16,
      paddingHorizontal: 10,
      paddingBottom: _reactNative.Platform.OS === 'ios' ? 8.3 / 2 : 0,
      paddingVertical: _reactNative.Platform.OS === 'ios' ? 8.3 / 2 : 0,
      textAlignVertical: 'center',
      width: '100%'
    },
    textInputLabelWrapper: {
      position: 'absolute',
      left: 10,
      zIndex: 10,
      bottom: 0,
      top: 0,
      justifyContent: 'center'
    }
  }), [borderColor, borderRadius, borderWidth, paddingVertical]);

  const labelHandler = () => {
    var _inputRef$current;

    labelSharedValue.value = 1;
    inputRef === null || inputRef === void 0 ? void 0 : (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 ? void 0 : _inputRef$current.focus();
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.textInput
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, _extends({}, textInputProps, {
    ref: inputRef,
    onFocus: () => labelSharedValue.value = 1,
    onBlur: () => {
      if (!value) labelSharedValue.value = 0;
    },
    value: value,
    onChangeText: onChangeText,
    style: [styles.textInputStyle]
  })), /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.View, {
    style: styles.textInputLabelWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: labelHandler
  }, /*#__PURE__*/_react.default.createElement(_reactNativeReanimated.default.Text, {
    style: [animatedLabelProps, {
      backgroundColor: 'white',
      paddingHorizontal: 2
    }]
  }, placeholder))));
};

var _default = App;
exports.default = _default;
//# sourceMappingURL=index.js.map